use rand::Rng;

// This will do for now
#[allow(dead_code)]
pub fn hex_string(length: usize) -> String {
    let mut rng = rand::thread_rng();
    let mut bytes = vec![0u8; length];
    rng.fill(&mut bytes[..]);
    bytes.iter().map(|b| format!("{:X}", b)).collect::<String>()[..length].to_string()
}

mod tests {
    #[test]
    fn test_random_hex_string() {
        let s = super::hex_string(16);
        assert_eq!(s.len(), 16);
    }
}
